Bug 973076 - Seam tooling doesn't work in JBDS 6.0.1 with EAP 6.1.0 runtime
Seam tooling doesn't work in JBDS 6.0.1 with EAP 6.1.0 runtime
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.4.0
Assigned To: Marek Novotny
Tomas Remes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 04:50 EDT by Tomas Remes
Modified: 2013-07-30 04:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
EAP 6.1.0 is not supported in JBDS 6.0.1. As a consequence, EAP 6.1.0 Server runtime libraries are not present on its classpath and JBDS 6.0.1 throws the following errors: "The type javax.validation.ConstraintViolation cannot be resolved. It is indirectly referenced from required .class files." "The project was not built since its build path is incomplete. Cannot find the class file for javax.persistence.EntityManager." As a workaround for this issue, use JBDS version 7.0.0.Beta1 or later.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 09:16:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-88 Major Closed Seam tooling doesn't work in JBDS 6.0.1 with EAP 6.1.0 runtime 2013-11-19 06:48:09 EST

  None (edit)
Description Tomas Remes 2013-06-11 04:50:14 EDT
The EAP 6.1.0 runtime is marked as tech preview in JBDS 6.0.1 and when you create Seam project with this runtime, the EAP libraries won't be present on its classpath. This fact cause following problems, when you try to create new Seam form or reverse engineer entities from database:

"The type javax.validation.ConstraintViolation cannot be resolved. It is indirectly referenced from required .class files"
"The project was not built since its build path is incomplete. Cannot find the class file for javax.persistence.EntityManager." 

I think we should recommend to use latest JBDS 7 release with EAP 6.1.0 runtime or JBDS 6.0.1.GA with EAP 6.0.1 runtime.
Comment 1 Marek Novotny 2013-06-11 04:58:52 EDT
Tomas, file an issue for JBDS too.
Comment 2 Tomas Remes 2013-06-11 07:36:43 EDT
https://issues.jboss.org/browse/JBIDE-14826 created
Comment 3 Sneha 2013-07-04 07:30:34 EDT
Updated doc text.
Comment 5 JBoss JIRA Server 2013-07-29 16:32:04 EDT
Burr Sutter <bsutter@redhat.com> made a comment on jira WFK2-88

Do we know of this is successful with JBDS 7? Sounds like the best approach is to make sure all parties know to skip JBDS6+EAP6.1 and use JBDS 7 instead.
Comment 6 JBoss JIRA Server 2013-07-30 04:19:33 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira WFK2-88

[~burrsutter] yes, we know JBDS 7 works fine as the last sentence in Description mentions it. The main issue is changed EAP 6.1.0 module paths and JBDS 6.x doesn't recognize that new module layout.

Note You need to log in before you can comment on or make changes to this bug.